Subject: Re: delayed ACKs for retransmitted packets: ouch!

From: Neal Cardwell <[email-masked]>
Date: Fri, 6 Nov 1998 15:25:02 -0800 (PST)

Although Linux 2.0 appears to perform poorly in acking retransmitted
packets in some cases, just for the record i thought i'd note that Luigi
Rizzo pointed out to me that BSD does actually do the right thing when it
gets a data segment that falls below previously-received data:

Luigi said:
> Fig27.15 in Stevens deals with TCP_REASS, and in order to have a
> DELACK you need that the reassembly queue be empty, and this does
> not happen when the received pkt fills a hole (you know it's a hole
> because you already have a pkt _after_ it).

thanks, Luigi!
neal